<template>
  <sub-main :contents="contents"></sub-main>
</template>

<script>
export default {
  head: {
    title: "Interfaces | THORChain.org",
    meta: [
        { property: "og:locale", content: "en_US" },
        { property: "og:type", content: "website" },
        { property: "og:title", content: "Interfaces | THORChain.org" },
        {
          property: "og:description",
          content:
            "THORChain aims to decentralize cryptocurrency liquidity via a network of public THORNodes and ecosystem products. Access to its native and cross-chain liquidity is open to any person, product or institution.",
        },
        { property: "og:url", content: process.env.baseUrl },
        { property: "og:site_name", content: "THORChain" },
        {
          property: "og:image",
          content: process.env.baseUrl + "/images/meta-interfaces.png",
        },
        { property: "og:image:width", content: "876" },
        { property: "og:image:heigh", content: "438" },
        { name: "twitter:creator", content: "@thorchain" },
        { name: "twitter:site", content: "@thorchain" },
        { name: "twitter:title", content: "Interfaces | THORChain.org" },
        {
          name: "twitter:description",
          content:
            "THORChain aims to decentralize cryptocurrency liquidity via a network of public THORNodes and ecosystem products. Access to its native and cross-chain liquidity is open to any person, product or institution.",
        },
        { name: "twitter:card", content: "summary_large_image" },
        {
          name: "twitter:image",
          content: process.env.baseUrl + "/images/meta-interfaces.png",
        },
      ],
  },
  methods: {
    shuffle(array) {
      for (let i = array.length - 1; i > 0; i--) {
        let j = Math.floor(Math.random() * (i + 1)); // random index from 0 to i
        [array[i], array[j]] = [array[j], array[i]];
      }
      return array;
    },
  },
  created() {
    let interfaces = [
      {
        header: "THORSwap",
        linkProps: this.$links("slash_interfaces_links_thorswap"),
        rows: [
          {
            text: "✅", //Online
          },
          {
            text: "1inch/Uniswap", //Extra Liquidity
            color: "#2FFAA1",
          },
          {
            text: "✅", //Web Desktop
          },
          {
            text: "✅", //Web Mobile
          },
          {
            text: "✅", //App Desktop
          },
          {
            text: "Developing", //App Mobile
            color: "#2FFAA1",
          },
          {
            text: "✅", //Non-Custodial
          },
          {
            text: "✅", //Native Swaps
          },
          {
            text: "✅", //Native Pooling
          },
          {
            text: "✅", //Synthetics
          },
          {
            text: "✅", //Keystore
          },
          {
            text: "✅", //TrustWallet
          },
          {
            text: "✅", //XDEFI
          },
          {
            text: "✅", //MetaMask
          },
          {
            text: "✅", //Ledger
          },
          {
            text: "✅", //Trezor
          },
          {
            text: "✅", //KeepKey
          },
          {
            text: "✅", //THORName Service
          },
          {
            text: "THOR", //Token Ticker
            color: "#2FFAA1",
          },
          {
            text: "❌", //Open-source
          },
          {
            text: "❌", //KYC
          },
        ],
      },
      {
        header: "ASGARDEX",
        linkProps: this.$links("slash_interfaces_links_asgardex"),
        rows: [
          {
            text: "✅", //Online
          },
          {
            text: "❌", //Extra Liquidity
          },
          {
            text: "❌", //Web Desktop
          },
          {
            text: "❌", //Web Mobile
          },
          {
            text: "✅", //App Desktop
          },
          {
            text: "❌", //App Mobile
          },
          {
            text: "✅", //Non-Custodial
          },
          {
            text: "✅", //Native Swaps
          },
          {
            text: "✅", //Native Pooling
          },
          {
            text: "❌", //Synthetics
          },
          {
            text: "✅", //Keystore
          },
          {
            text: "❌", //TrustWallet
          },
          {
            text: "✅", //XDEFI
          },
          {
            text: "✅", //MetaMask
          },
          {
            text: "✅", //Ledger
          },
          {
            text: "❌", //Trezor
          },
          {
            text: "❌", //KeepKey
          },
          {
            text: "❌", //THORName Service
          },
          {
            text: "❌", //Token Ticker
          },
          {
            text: "✅", //Open-source
          },
          {
            text: "❌", //KYC
          },
        ],
      },
      {
        header: "SKIP",
        linkProps: this.$links("slash_interfaces_links_skip"),
        rows: [
          {
            text: "✅", //Online
          },
          {
            text: "❌", //Extra Liquidity
          },
          {
            text: "✅", //Web Desktop
          },
          {
            text: "✅", //Web Mobile
          },
          {
            text: "❌", //App Desktop
          },
          {
            text: "❌", //App Mobile
          },
          {
            text: "✅", //Non-Custodial
          },
          {
            text: "✅", //Native Swaps
          },
          {
            text: "✅", //Native Pooling
          },
          {
            text: "❌", //Synthetics
          },
          {
            text: "✅", //Keystore
          },
          {
            text: "✅", //TrustWallet
          },
          {
            text: "✅", //XDEFI
          },
          {
            text: "✅", //MetaMask
          },
          {
            text: "❌", //Ledger
          },
          {
            text: "❌", //Trezor
          },
          {
            text: "❌", //KeepKey
          },
          {
            text: "❌", //THORName Service
          },
          {
            text: "❌", //Token Ticker
          },
          {
            text: "✅", //Open-source
          },
          {
            text: "Evaluating", //KYC
            color: "#2FFAA1",
          },
        ],
      },
      {
        header: "Brokkr",
        linkProps: this.$links("slash_interfaces_links_brokkr"),
        rows: [
          {
            text: "✅", //Online
          },
          {
            text: "❌", //Extra Liquidity
          },
          {
            text: "✅", //Web Desktop
          },
          {
            text: "❌", //Web Mobile
          },
          {
            text: "❌", //App Desktop
          },
          {
            text: "❌", //App Mobile
          },
          {
            text: "✅", //Non-Custodial
          },
          {
            text: "✅", //Native Swaps
          },
          {
            text: "❌", //Native Pooling
          },
          {
            text: "✅", //Synthetics
          },
          {
            text: "✅", //Keystore
          },
          {
            text: "❌", //TrustWallet
          },
          {
            text: "❌", //XDEFI
          },
          {
            text: "❌", //MetaMask
          },
          {
            text: "❌", //Ledger
          },
          {
            text: "❌", //Trezor
          },
          {
            text: "❌", //KeepKey
          },
          {
            text: "❌", //THORName Service
          },
          {
            text: "BRO", //Token Ticker
            color: "#2FFAA1",
          },
          {
            text: "❌", //Open-source
          },
          {
            text: "❌", //KYC
          },
        ],
      },
      {
        header: "ShapeShift",
        linkProps: this.$links("slash_interfaces_links_shapeshift"),
        rows: [
          {
            text: "✅", //Online
          },
          {
            text: "✅", //Extra Liquidity
          },
          {
            text: "✅", //Web Desktop
          },
          {
            text: "✅", //Web Mobile
          },
          {
            text: "✅", //App Desktop
          },
          {
            text: "✅", //App Mobile
          },
          {
            text: "✅", //Non-Custodial
          },
          {
            text: "✅", //Native Swaps
          },
          {
            text: "❌", //Native Pooling
          },
          {
            text: "✅", //Synthetics
          },
          {
            text: "✅", //Keystore
          },
          {
            text: "❌", //TrustWallet
          },
          {
            text: "✅", //XDEFI
          },
          {
            text: "❌", //MetaMask
          },
          {
            text: "✅", //Ledger
          },
          {
            text: "✅", //Trezor
          },
          {
            text: "✅", //KeepKey
          },
          {
            text: "❌", //THORName Service
          },
          {
            text: "FOX", //Token Ticker
            color: "#2FFAA1",
          },
          {
            text: "✅", //Open-source
          },
          {
            text: "❌", //KYC
          },
        ],
      },
      {
        header: "THORWallet",
        linkProps: this.$links("slash_interfaces_links_thorwallet"),
        rows: [
          {
            text: "✅", //Online
          },
          {
            text: "✅", //Extra Liquidity
          },
          {
            text: "✅", //Web Desktop
          },
          {
            text: "✅", //Web Mobile
          },
          {
            text: "❌", //App Desktop
          },
          {
            text: "✅", //App Mobile
          },
          {
            text: "✅", //Non-Custodial
          },
          {
            text: "✅", //Native Swaps
          },
          {
            text: "✅", //Native Pooling
          },
          {
            text: "✅", //Synthetics
          },
          {
            text: "✅", //Keystore
          },
          {
            text: "❌", //TrustWallet
          },
          {
            text: "✅", //XDEFI
          },
          {
            text: "✅", //MetaMask
          },
          {
            text: "✅", //Ledger
          },
          {
            text: "✅", //Trezor
          },
          {
            text: "❌", //KeepKey
          },
          {
            text: "✅", //THORName Service
          },
          {
            text: "TGT", //Token Ticker
            color: "#2FFAA1",
          },
          {
            text: "❌", //Open-source
          },
          {
            text: "❌", //KYC
          },
        ],
      },
      {
        header: "DefiSpot",
        linkProps: this.$links("slash_interfaces_links_defispot"),
        rows: [
          {
            text: "✅", //Online
          },
          {
            text: "❌", //Extra Liquidity
          },
          {
            text: "✅", //Web Desktop
          },
          {
            text: "✅", //Web Mobile
          },
          {
            text: "Developing", //App Desktop
            color: "#2FFAA1",
          },
          {
            text: "Developing", //App Mobile
            color: "#2FFAA1",
          },
          {
            text: "✅", //Non-Custodial
          },
          {
            text: "✅", //Native Swaps
          },
          {
            text: "✅", //Native Pooling
          },
          {
            text: "✅", //Synthetics
          },
          {
            text: "✅", //Keystore
          },
          {
            text: "❌", //TrustWallet
          },
          {
            text: "✅", //XDEFI
          },
          {
            text: "✅", //MetaMask
          },
          {
            text: "✅", //Ledger
          },
          {
            text: "✅", //Trezor
          },
          {
            text: "Soon", //KeepKey
            color: "#2FFAA1",
          },
          {
            text: "✅", //THORName Service
          },
          {
            text: "SPOT (soon)", //Token Ticker
            color: "#2FFAA1",
          },
          {
            text: "✅", //Open-source
          },
          {
            text: "❌", //KYC
          },
        ],
      },
      {
        header: "Rango",
        linkProps: this.$links("slash_interfaces_links_rango"),
        rows: [
          {
            text: "✅", //Online
          },
          {
            text: "✅", //Extra Liquidity
          },
          {
            text: "✅", //Web Desktop
          },
          {
            text: "✅", //Web Mobile
          },
          {
            text: "❌", //App Desktop
          },
          {
            text: "❌", //App Mobile
          },
          {
            text: "✅", //Non-Custodial
          },
          {
            text: "✅", //Native Swaps
          },
          {
            text: "❌", //Native Pooling
          },
          {
            text: "❌", //Synthetics
          },
          {
            text: "❌", //Keystore
          },
          {
            text: "❌", //TrustWallet
          },
          {
            text: "✅", //XDEFI
          },
          {
            text: "✅", //MetaMask
          },
          {
            text: "❌", //Ledger
          },
          {
            text: "❌", //Trezor
          },
          {
            text: "❌", //KeepKey
          },
          {
            text: "❌", //THORName Service
          },
          {
            text: "Rango (Soon)", //Token Ticker
            color: "#2FFAA1",
          },
          {
            text: "✅", //Open-source
          },
          {
            text: "❌", //KYC
          },
        ],
      },
      {
        header: "Ferz Wallet",
        linkProps: this.$links("slash_interfaces_links_ferz"),
        rows: [
          {
            text: "✅", //Online
          },
          {
            text: "❌", //Extra Liquidity
          },
          {
            text: "✅", //Web Desktop
          },
          {
            text: "✅", //Web Mobile
          },
          {
            text: "❌", //App Desktop
          },
          {
            text: "✅", //App Mobile
          },
          {
            text: "✅", //Non-Custodial
          },
          {
            text: "✅", //Native Swaps
          },
          {
            text: "✅", //Native Pooling
          },
          {
            text: "✅", //Synthetics
          },
          {
            text: "❌", //Keystore
          },
          {
            text: "❌", //TrustWallet
          },
          {
            text: "❌", //XDEFI
          },
          {
            text: "❌", //MetaMask
          },
          {
            text: "Developing", //Ledger
            color: "#2FFAA1",
          },
          {
            text: "❌", //Trezor
          },
          {
            text: "❌", //KeepKey
          },
          {
            text: "❌", //THORName Service
          },
          {
            text: "❌", //Token Ticker
          },
          {
            text: "❌", //Open-source
          },
          {
            text: "❌", //KYC
          },
        ],
      },
    ];
    let res = this.shuffle(interfaces);
    console.log(res);
    this.contents[1].settings.cols.push(...res);
    console.log(this.contents[1].settings.cols);
  },
  data() {
    return {
      contents: [
        {
          component: "header",
          settings: {
            title: "Interfaces",
            left: {
              text: "Compared",
              linkProps: this.$links("slash_interfaces"),
            },
            right: {
              text: "Links",
              linkProps: this.$links("slash_interfaces_links"),
            },
          },
        },
        {
          component: "table",
          settings: {
            cols: [
              {
                header: "Click to Select →",
                rows: [
                  {
                    text: "Online",
                  },
                  {
                    text: "Extra Liquidity",
                  },
                  {
                    text: "Web Desktop",
                  },
                  {
                    text: "Web Mobile",
                  },
                  {
                    text: "App Desktop",
                  },
                  {
                    text: "App Mobile",
                  },
                  {
                    text: "Non-Custodial",
                  },
                  {
                    text: "Native Swaps",
                  },
                  {
                    text: "Native Pooling",
                  },
                  {
                    text: "Synthetics",
                  },
                  {
                    text: "Keystore",
                  },
                  {
                    text: "TrustWallet",
                  },
                  {
                    text: "XDEFI",
                  },
                  {
                    text: "MetaMask",
                  },
                  {
                    text: "Ledger",
                  },
                  {
                    text: "Trezor",
                  },
                  {
                    text: "KeepKey",
                  },
                  {
                    text: "THORName Service",
                  },
                  {
                    text: "Token / Ticker",
                  },
                  {
                    text: "Open-source",
                  },
                  {
                    text: "KYC",
                  },
                ],
              },
            ],
          },
        },
      ],
    };
  },
};
</script>

<style>
</style>